#include <windows.h>
#include <mmsystem.h>
#define APPLICATION_NAME "Dimke Wave Resources"

HANDLE hInstanz;
LONG FAR PASCAL         WinProzedur(HWND , UINT , UINT , LONG);
void							WMDropFiles( WPARAM WParam, HWND hWnd);
char szProgName[] = APPLICATION_NAME;
LPCSTR sound;
HGLOBAL hResource;

int PASCAL WinMain (HANDLE hInst, HANDLE hPreInst, LPSTR lpszCmdParam,int nCmdShow) {
	MSG msg;
	HWND hwnd;
	WNDCLASS wc;

	if (!hPreInst) {
		wc.style          =CS_HREDRAW|CS_VREDRAW;
		wc.lpfnWndProc    =WinProzedur;
		wc.cbClsExtra     =0;
		wc.cbWndExtra     =0;
		wc.hInstance      =hInst;
		wc.hIcon          =LoadIcon(hInst,"KAESE");
		wc.hCursor        =LoadCursor(NULL,IDC_ARROW);
		wc.hbrBackground  =GetStockObject(WHITE_BRUSH);
		wc.lpszMenuName   ="MAINMENU";
		wc.lpszClassName  =szProgName;
		if(!RegisterClass(&wc)) return FALSE;
	}

	hInstanz=hInst;
	hwnd=CreateWindow(szProgName,     //Windowklasse
				  APPLICATION_NAME,       // Windowtitel
				  WS_OVERLAPPEDWINDOW,      //Windowstil
				  40,            // Fensterposition x
				  40,            // Fensterposition y
				  480,       //FensterpositionBreite
				  640,         //FensterpositionHoehe
				  NULL,                     //Elternhandle
				  NULL,                     //Menuhandle
				  hInst,                    //Instanzhandle
				  NULL);                    //weitere Informationen

	ShowWindow(hwnd,nCmdShow);
	UpdateWindow(hwnd);

	hResource = LoadResource(hInst, FindResource(hInst, "GATES", "WAVE"));
	sound = (LPCSTR) LockResource(hResource);

	while(GetMessage(&msg,NULL,0,0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	return(msg.wParam);
}


LONG FAR PASCAL WinProzedur(HWND hwnd , UINT msg, UINT wParam, LONG lParam) {
static HWND hwndEdit;
	switch (msg) {
		case WM_COMMAND:
			if (wParam == 100) // About
				MessageBox(hwnd, "July 2003, Bad Schussenried, Germany\n"
					"(C) 2003 Dipl.-Ing. Markus Robert Keler\n\nThis application has nothing to do\n"
					"with our dear friend Bill Gates.\n"
					"It is only meant as an academical example\n"
					"for educational purposes.\n",
					"About Dimke Wave Resources", MB_ICONINFORMATION | MB_OK);

			if (wParam == 109) {// Shoot Bill Gates
				sndPlaySound(sound, SND_MEMORY|SND_ASYNC);
			}

			if (wParam == 110) // Exit
				SendMessage(hwnd, WM_CLOSE, 0, 0L);

			return(0);

		case WM_SIZE:
			MoveWindow (hwndEdit, 0, 0, LOWORD(lParam), HIWORD(lParam), TRUE);
			return (0);

		case WM_DESTROY:
			UnlockResource(hResource);
			FreeResource(hResource);
			PostQuitMessage(0);
			break;

		case WM_CLOSE:

		default:
			return DefWindowProc(hwnd, msg, wParam, lParam);
	} return (0L);
}

